// This is a part of the GWC Library
// Copyright (C) 2001-2002 Aircom software
// All rights reserved.
//
// This source code can be used, distributed or modified
// free of charge only if this header copyright is not removed.
// In other cases, contact us at:
// web:   http://www.aircom.org
// email: info@aircom.org
//

#ifndef __GWCGRADIENTCOLORWND_H
#define __GWCGRADIENTCOLORWND_H

class GWCColorComponentEditCtrl;

class GWCGradientColorWnd : public CWnd
{
	// Construction
	public:
		GWCGradientColorWnd(GWCColorComponentEditCtrl* pComp);
		virtual ~GWCGradientColorWnd() {}

	// Attributes
	protected:
		// Parent component control.
		GWCColorComponentEditCtrl* m_comp;

	// Operations
	public:
		BOOL Create(DWORD dwStyle, CWnd* pParentWnd, UINT nID);
		void Show(CPoint point);

	// Overrides
		// ClassWizard generated virtual function overrides
		//{{AFX_VIRTUAL(GWCGradientColorWnd)
		//}}AFX_VIRTUAL

	// Generated message map functions
	protected:
	//{{AFX_MSG(GWCGradientColorWnd)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();
	afx_msg void OnNcPaint();
	afx_msg void OnNcCalcSize(BOOL bCalcValidRects, NCCALCSIZE_PARAMS FAR* lpncsp);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // __GWCGRADIENTCOLORWND_H
